Get a user's test results for a unit
Endpoint URL
GET /api/v2/results/unit/:unitId/user/:userId
Returns the current test results of a user for a given test unit. Score, questions, given answers, and correct answers are included when available, independent of learner-facing UI settings such as show score, show given answers, and show correct answers. Statistics still follow the show statistics setting.
Request
Responses
- 200
- 400
- 404
- 409
Successful response
Invalid unit or user identifier
The unit or user was not found, the user is not enrolled in the course, the unit is locked by course traversal rules, or the user has no answers for this test
The unit is not a test